// following http://moritz.faui2k3.org/en/yasss#generate

#ifndef GENERATE_H
#define GENERATE_H


// INCLUDES

#include "sudoku.h"

// FUNCTIONS

void fillValue(Field field);
char checkAffections(Field field, int x, int y, int n);
void generateField(Field field);
char getNrSolutions(Field field);
void generateSudoku(Field field);
void makeSudokuEasier(Field field, char difficulty);
char makeSudokuHarder(Field field, char difficulty);

void printField(Field field);

#endif // GENERATE_H
