/**
 * partially taken from http://tigcc.ticalc.org/tut/interrupts.html
 */

#ifndef TIME_H
#define TIME_H

// INCLUDES

#include "sudoku.h"
#include "io.h"

/**
 * Get the time preformatted.
 */
void getTime(char *str);

/**
 * Output the time to the screen.
 */
void printTime();

/**
 * Backups the old handler and initializes our one.
 */
void initTimer();

/**
 * Restores the old handler.
 */
void deinitTimer();

/**
 * Start the timer and display the time every second.
 */
void startTimer();

/**
 * Stop the timer and the displaying.
 */
void stopTimer();

/**
 * Set the timer to 00:00:00.
 */
void resetTimer();

#endif // TIME_H
